(function (Drupal, Popper, once) {
	Drupal.behaviors.dropdown_behavior = {
		attach(context) {
			// @see https://www.drupal.org/project/once/issues/3204168#comment-14033931
			const dropdowns = once('dropdown_behavior',
        context.querySelectorAll('[data-component-id="cascade:dropdown"]')
      );
			if (dropdowns.length) {
				dropdowns.forEach(d => {
					Popper.createPopper(d.querySelector('a, button'), d.querySelector('.dropdown-content'), {
						placement: 'auto',
						modifiers: [
							{
								name: 'flip',
								options: {
									allowedAutoPlacements: ['top', 'bottom'],
								},
							}
						],
					});
				});
			}
		}
	};
}(Drupal, Popper, once));